curl --request POST \
--url https://forge.coreweave.com/api/distillation/v1/projects/{alias}/datasets/{datasetId}/uploads \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"idempotency_key": "<string>",
"file": {
"name": "<string>",
"size_bytes": 123
},
"mode": "append"
}
'import requests
url = "https://forge.coreweave.com/api/distillation/v1/projects/{alias}/datasets/{datasetId}/uploads"
payload = {
"idempotency_key": "<string>",
"file": {
"name": "<string>",
"size_bytes": 123
},
"mode": "append"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
idempotency_key: '<string>',
file: {name: '<string>', size_bytes: 123},
mode: 'append'
})
};
fetch('https://forge.coreweave.com/api/distillation/v1/projects/{alias}/datasets/{datasetId}/uploads', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"dataset_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"mode": "append",
"state": "uploading",
"error": "<string>",
"counters": {},
"expires_at": "2023-11-07T05:31:56Z",
"file": {
"name": "<string>",
"size_bytes": 123
},
"upload": {
"method": "PUT",
"url": "<string>",
"expires_at": "2023-11-07T05:31:56Z"
},
"validation": {
"validated_bytes": 123,
"validated_lines": 123,
"error_count": 123,
"errors_truncated": true,
"errors": [
{
"line": 123,
"code": "<string>",
"message": "<string>"
}
]
},
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}{
"error": {
"message": "Project 'missing' not found in entity 'your-team'",
"type": "not_found"
}
}데이터셋에 JSONL 업로드 시작
기존 Postgres-plane 데이터셋에 최대 1 GiB, 100,000행의 JSONL 파일 하나를 업로드하는 세션을 시작합니다. 각 줄은 POST .../entries의 행 구조를 따릅니다. 선언한 크기와 정확히 일치하는 전체 파일을 upload.url에 PUT으로 전송한 다음(예: curl -T rows.jsonl "$url"), complete를 호출하세요. URL은 15분 이내에 사용해야 합니다. 새 URL을 받으려면 업로드를 GET으로 조회하세요. 동일한 idempotency_key로 요청을 반복하면 동일한 업로드가 반환됩니다.
인증
wandb API 키 또는 wandb JWT. 브라우저 세션은 Model Distillation 웹 앱 백엔드에서 교환하며, 작업 권한은 내부에서만 사용됩니다.
헤더
액세스 가능한 개인 또는 팀 entity. 인증된 사용자의 기본 entity를 사용하려면 생략하세요.
본문
응답
업로드 세션입니다.
append, upsert complete가 호출될 때까지는 uploading 상태이며, 워커가 모든 줄을 확인하는 동안에는 queued 및 validating 상태입니다. 행이 데이터셋에 추가되면 committed 상태가 됩니다.
uploading, queued, validating, committed, failed, cancelled, expired 커밋 후: rows, created, updated, revision, entry_counts.
Show child attributes
Show child attributes
업로드가 진행 중일 때 파일을 전송할 위치입니다. complete가 호출되면 null입니다.
Show child attributes
Show child attributes
Show child attributes
Show child attributes
이 페이지가 도움이 되었나요?